image: ubuntu:latest

before_script:
  - echo "Before script section"
  - echo "For example you might run an update here or install a build dependency"
  - echo "Or perhaps you might print out some debugging details"

after_script:
  - echo "After script section"
  - echo "For example you might do some cleanup here"
  - echo "variable ${SLACK_CHANNEL}"
  - apt-get update; apt-get install curl -y
  - | 
    generate_post_data()
    {
      cat <<EOF
      {
        "channel": "${SLACK_CHANNEL}",
        "blocks": [
          {
            "type": "header",
            "text": {
              "type": "plain_text",
              "text": ":alert: \t$ENVIRONMENT $CI_PROJECT_TITLE Failed :alert: :wat:"
            }
          },
          {
            "type": "divider"
          },
          {
            "type": "section",
            "fields": [
              {
                "type": "mrkdwn",
                "text": "*JOB:\t<$CI_JOB_URL>*"
              }
            ]
          },
          {
            "type": "section",
            "fields": [
              {
                "type": "mrkdwn",
                "text": "*Environment:*\t${ENVIRONMENT}"
              }
            ]
          }
        ]
      }
    EOF
    }

    curl -X POST $SLACK_WEBHOOK_URL \
      -H "Content-type: application/json" \
      -d "$(generate_post_data)"

build1:
  stage: build
  variables:
    SLACK_CHANNEL: '#eng-ada-lab-alerts'
    ENVIRONMENT: test-environment
  script:
    - echo "Do your build here"

